function [arrary,maxvalue,fitness,ind]=fselection(feature,label)
% top.k=size(feature,2);
% top.pool=1000;
% top.type=1;
out=fsMRMR(feature,label);
ind=out.fList;
arrary=[];
maxvalue=0;
% V=size(label,1);
V=10;
cmd = ['-v ',num2str(V)];
fitness=[];
for i=1:length(ind)
    temp=[arrary ind(i)];
    [deci,prelabel,auc] = plotrocs(label, feature(:,temp) ,cmd);
    fitness=[fitness auc];
    if maxvalue<=auc
        arrary=[arrary ind(i)];
        maxvalue=auc;
%         maxdeci=deci;
%         maxprelabel=prelabel;
    end
end
end